// ===========================================================================
//
//       Filename:  grid.h
//
//    Description:
//
//        Version:  0.0
//        Created:  10/25/2009 07:38:32 AM
//       Revision:  none
//       Compiler:  g++ (c++)
//
//         Author:  Trevor Irons (ti)
//         			M. Andy Kass (MAK)
//
//   Organisation:  Colorado School of Mines (CSM)
//                  United States Geological Survey (USGS)
//
//          Email:  tirons@mines.edu, tirons@usgs.gov
//
//  This program is free software: you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation, either version 3 of the License, or
//  (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with this program.  If not, see <http://www.gnu.org/licenses/>.
//
// ===========================================================================

#ifndef __GRID_H
#define __GRID_H
#include "formalhaut.h"

namespace formalhaut {

// ===============================================================================
//        Class:  Grid
/// \brief Abstract base class for grids.
/// \details Grids define values in space, they may either be an integral part
/// of models, or simply the output of a forward modelling procedure.
// ===============================================================================

class Grid {

    friend std::ostream &operator<<(std::ostream &stream,
            const Grid &ob);

    public:

    // ====================  LIFECYCLE     ===================================

    // ====================  OPERATORS     ===================================

    // ====================  OPERATIONS    ===================================

    // ====================  ACCESS        ===================================

    // ====================  INQUIRY       ===================================

	gridtype GetGridType();

    protected:

    // ====================  LIFECYCLE     ===================================

    /// Default protected constructor.
    Grid ();

    /// Default protected constructor.
    ~Grid ();

    // ====================  DATA MEMBERS  ===================================

	gridtype TypeOfGrid;

    private:

}; // -----  end of class  Grid  -----


} // namespace formalhaut
#endif
